# Device Simulations

## Endpoints

[**`/devices/simulate/connect`**](/latest/api/devices/simulate/connect.md)

Simulates connecting a device to Seam. Only applicable for [sandbox devices](https://docs.seam.co/latest/core-concepts/workspaces#sandbox-workspaces). See also [Testing Your App Against Device Disconnection and Removal](https://docs.seam.co/latest/core-concepts/devices/testing-your-app-against-device-disconnection-and-removal).

[**`/devices/simulate/connect_to_hub`**](/latest/api/devices/simulate/connect_to_hub.md)

Simulates bringing the Wi‑Fi hub (bridge) back online for a device. Only applicable for sandbox workspaces and currently implemented for August and TTLock locks. This will clear the corresponding `hub_disconnected` or `ttlock_lock_not_paired_to_gateway` error on the device.

[**`/devices/simulate/disconnect`**](/latest/api/devices/simulate/disconnect.md)

Simulates disconnecting a device from Seam. Only applicable for [sandbox devices](https://docs.seam.co/latest/core-concepts/workspaces#sandbox-workspaces). See also [Testing Your App Against Device Disconnection and Removal](https://docs.seam.co/latest/core-concepts/devices/testing-your-app-against-device-disconnection-and-removal).

[**`/devices/simulate/disconnect_from_hub`**](/latest/api/devices/simulate/disconnect_from_hub.md)

Simulates taking the Wi‑Fi hub (bridge) offline for a device. Only applicable for sandbox workspaces and currently implemented for August, TTLock, and IglooHome devices. This will set the corresponding `hub_disconnected` or `ttlock_lock_not_paired_to_gateway` error on the device, or mark the IglooHome bridge offline in sandbox.

[**`/devices/simulate/paid_subscription`**](/latest/api/devices/simulate/paid_subscription.md)

Toggle the simulated Nuki Smart Hosting subscription for a device (sandbox only). Send `is_expired: true` to simulate an expired subscription, or `false` to simulate an active subscription. The actual device error is created/cleared by the poller after this state change.

[**`/devices/simulate/remove`**](/latest/api/devices/simulate/remove.md)

Simulates removing a device from Seam. Only applicable for [sandbox devices](https://docs.seam.co/latest/core-concepts/workspaces#sandbox-workspaces). See also [Testing Your App Against Device Disconnection and Removal](https://docs.seam.co/latest/core-concepts/devices/testing-your-app-against-device-disconnection-and-removal).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/devices/simulate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
